Bug 1336461 (CVE-2016-5107)

Summary: CVE-2016-5107 Qemu: scsi: megasas: out-of-bounds read in megasas_lookup_frame() function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, ailan, alonbl, apevec, areis, ayoung, bmcclain, chrisw, dblechte, drjones, eedri, imammedo, jen, jschluet, knoel, lhh, lpeer, markmc, mgoldboi, michal.skrivanek, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rkrcmar, sclewis, security-response-team, srevivo, tdecacqu, vkuznets, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:51:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1339573    
Bug Blocks: 1337885    
Attachments:
Description Flags
Crash report none

Description Andrej Nemec 2016-05-16 14:27:30 UTC
Quick Emulator(Qemu) built with the MegaRAID SAS 8708EM2 Host Bus Adapter emulation support is vulnerable to an out-of-bounds read access issue. It could occur while looking up MegaRAID Firmware Interface(MFI) command frames in 'megasas_lookup_frame' routine.

A privileged user inside guest could use this flaw to read invalid memory leading to crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-05/msg04424.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/25/7

Comment 1 Andrej Nemec 2016-05-16 14:27:51 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Inc.)

Comment 2 Andrej Nemec 2016-05-16 14:28:24 UTC
Created attachment 1157953 [details]
Crash report

Comment 4 Prasad J Pandit 2016-05-25 11:12:57 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1339573]

Comment 5 Fedora Update System 2016-06-25 19:25:02 UTC
qemu-2.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-07-02 19:24:29 UTC
qemu-2.3.1-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-02 19:29:46 UTC
qemu-2.4.1-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.